## rust-swc-core 55.0.1+ds

=== debian/changelog ===
rust-swc-core (55.0.1+ds-6) unstable; urgency=medium

  * autopkgtest-depend on librust-swc-html-ast-dev
    (not bogus librust-swc-html-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Feb 2026 14:42:32 +0100

rust-swc-core (55.0.1+ds-5) unstable; urgency=medium

  * (build-)depend on librust-rustc-hash-2-dev
    (not librust-rustc-hash-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Feb 2026 20:52:15 +0100

rust-swc-core (55.0.1+ds-4) unstable; urgency=medium

  * update copyright info: license patches same as general upstream license
  * relax (build-)dependencies
  * have librust-swc-html-utils-dev depend on librust-once-cell-dev (not bogus librust-once-dev)
  * update git-buildpackage config: stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Feb 2026 23:26:30 +0100

rust-swc-core (55.0.1+ds-3) unstable; urgency=medium

  * update copyright info:
    license patches same as main upstream license
  * relax (build-)dependencies
  * have librust-swc-html-utils-dev depend on librust-once-cell-dev
    (not bogus librust-once-dev)
  * update git-buildpackage config:
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Feb 2026 23:24:32 +0100

rust-swc-core (55.0.1+ds-2) unstable; urgency=medium

  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * update copyright info:
    + correctly list general upstream license as Apache-2.0
      (not alternatively Expat)
    + update coverage
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * drop patches 2001_bytes-str 2001_par-iter 2001_shrink-to-fit,
    obsoleted by Debian package changes;
    provide and autopkgtest swc-atoms feature 2001_shrink-to-fit;
    provide and autopkgtest swc-common feature 2001_shrink-to-fit;
    (build-)depend on packages for crates bytes-str shrink-to-fit;
    build- and autopkgtest-depend on package for crate par-iter

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Feb 2026 10:36:42 +0100

rust-swc-core (55.0.1+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid any .git* files when repackaging source
    + update coverage
  * update watch file:
    + use file format version 5
    + use template
    + use Uversion-Mangle: auto (not custom regex)
    + use repack suffix +ds (not ~ds)
    + relax to match any swc_core release
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches
  * stop build-depend on package for crate new_debug_unreachable
    for binary package librust-swc-common-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jan 2026 12:29:15 +0100

rust-swc-core (48.0.4~ds-5) unstable; urgency=medium

  * really fix patch 2001_bytes-str

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jan 2026 11:07:34 +0100
