=== debian/control ===
Source: rust-swc-core
Section: rust
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-ahash-dev,
 librust-allocator-api2-dev,
 librust-anyhow-dev,
 librust-arbitrary-dev,
 librust-auto-impl-dev,
 librust-bitflags-dev,
 librust-bumpalo-dev,
 librust-bytecheck-dev,
 librust-bytes-str-dev,
 librust-cbor4ii-dev,
 librust-compact-str-dev,
 librust-either-dev,
 librust-hashbrown-dev,
 librust-is-macro-dev,
 librust-kstring-dev,
 librust-mimalloc-dev,
 librust-new-debug-unreachable-dev,
 librust-num-bigint-dev,
 librust-num-cpus-dev,
 librust-once-cell-dev,
 librust-par-iter-dev,
 librust-parking-lot-dev,
 librust-proc-macro2-dev,
 librust-quote-dev,
 librust-rancor-dev,
 librust-rand-dev,
 librust-rkyv-dev,
 librust-rustc-hash-2-dev,
 librust-scoped-tls-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-shrink-to-fit-dev,
 librust-siphasher-dev,
 librust-smartstring-dev,
 librust-smol-str-dev,
 librust-string-cache-dev,
 librust-syn-dev,
 librust-termcolor-dev,
 librust-tikv-jemallocator-dev,
 librust-tracing-dev,
 librust-triomphe-dev,
 librust-unicode-width-dev,
 librust-url-dev,
 librust-vergen-dev,
Standards-Version: 4.7.3
Homepage: https://swc.rs/
Vcs-Git: https://salsa.debian.org/debian/rust-swc-core.git
Vcs-Browser: https://salsa.debian.org/debian/rust-swc-core
Description: speedy web compiler - Rust source code
 swc is a typescript / javascript transpiler.
 It consumes JavaScript or TypeScript files
 written in one version of these languages
 and emits javascript code
 which can be executed on JavaScript engines
 that are not yet supporting latest features.
 .
 swc is written in Rust,
 and is an order a magnitude faster
 than similar projects written in JavaScript.

Package: librust-better-scoped-tls-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-scoped-tls-dev,
 ${misc:Depends},
Provides:
 librust-better-scoped-tls-1+default-dev (= ${binary:Version}),
 librust-better-scoped-tls-1-dev (= ${binary:Version}),
 librust-better-scoped-tls-1.0-dev (= ${binary:Version}),
 librust-better-scoped-tls-1.0.1-dev (= ${binary:Version}),
Description: scoped-tls with good error message - Rust source code
 better_scoped_tls is an opinionated version of scoped-tls.
 .
 Scoped thread local variables created by this crate will panic
 with a good message on usage without ".set".
 .
 Syntax is exactly the same as the original scoped-tls.
 .
 This package contains the source for the Rust crate better_scoped_tls,
 for use with cargo.

Package: librust-hstr-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-hashbrown-dev,
 librust-new-debug-unreachable-dev,
 librust-once-cell-dev,
 librust-rkyv-dev,
 librust-rustc-hash-2-dev,
 librust-serde-dev,
 librust-triomphe-dev,
 ${misc:Depends},
Provides:
# librust-hstr-3+atom-size-128-dev (= ${binary:Version}),
# librust-hstr-3+atom-size-64-dev (= ${binary:Version}),
 librust-hstr-3+default-dev (= ${binary:Version}),
# librust-hstr-3+rkyv-dev (= ${binary:Version}),
 librust-hstr-3+serde-dev (= ${binary:Version}),
 librust-hstr-3-dev (= ${binary:Version}),
 librust-hstr-3.0-dev (= ${binary:Version}),
 librust-hstr-3.0.4-dev (= ${binary:Version}),
Description: string type optimized for hash operations - Rust source code
 hstr is a string type which is optimized for hash operations.
 An immutable string
 which is cheap to clone, compare, hash, and has small size.
 .
 This package contains the source for the Rust crate hstr,
 for use with cargo.

Package: librust-swc-allocator-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-allocator-api2-dev,
 librust-better-scoped-tls-dev (>= ${rust:Version:librust-better-scoped-tls-dev}),
 librust-bumpalo-dev,
 librust-hashbrown-dev,
 librust-rustc-hash-2-dev,
 librust-swc-common-dev (>= ${rust:Version:librust-swc-common-dev}),
 ${misc:Depends},
Provides:
 librust-swc-allocator-4+default-dev (= ${binary:Version}),
 librust-swc-allocator-4+hashbrown-dev (= ${binary:Version}),
 librust-swc-allocator-4+rkyv-dev (= ${binary:Version}),
 librust-swc-allocator-4+serde-dev (= ${binary:Version}),
 librust-swc-allocator-4+skip-warning-dev (= ${binary:Version}),
 librust-swc-allocator-4-dev (= ${binary:Version}),
 librust-swc-allocator-4.0-dev (= ${binary:Version}),
 librust-swc-allocator-4.0.1-dev (= ${binary:Version}),
 librust-swc-transform-common-12+default-dev (= ${rust:Version:librust-swc-transform-common-dev}),
 librust-swc-transform-common-12+plugin-mode-dev (= ${rust:Version:librust-swc-transform-common-dev}),
 librust-swc-transform-common-12-dev (= ${rust:Version:librust-swc-transform-common-dev}),
 librust-swc-transform-common-12.0-dev (= ${rust:Version:librust-swc-transform-common-dev}),
 librust-swc-transform-common-12.0.0-dev (= ${rust:Version:librust-swc-transform-common-dev}),
 librust-swc-transform-common-dev (= ${rust:Version:librust-swc-transform-common-dev}),
Description: thin swc wrapper for bumpalo - Rust source code
 ${source:Extended-Description}
 .
 This package contains the source for the Rust crate swc_allocator,
 for use with cargo.

Package: librust-swc-atoms-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-arbitrary-dev,
 librust-bytecheck-dev,
 librust-cbor4ii-dev,
 librust-hstr-dev (>= ${rust:Version:librust-hstr-dev}),
 librust-once-cell-dev,
 librust-rkyv-dev,
 librust-serde-dev,
 librust-shrink-to-fit-dev,
 ${misc:Depends},
Provides:
 librust-swc-atoms-9+default-dev (= ${binary:Version}),
 librust-swc-atoms-9+encoding-impl-dev (= ${binary:Version}),
 librust-swc-atoms-9+rkyv-impl-dev (= ${binary:Version}),
 librust-swc-atoms-9+shrink-to-fit-dev (= ${binary:Version}),
 librust-swc-atoms-9-dev (= ${binary:Version}),
 librust-swc-atoms-9.0-dev (= ${binary:Version}),
 librust-swc-atoms-9.0.0-dev (= ${binary:Version}),
Description: atoms for the swc project - Rust source code
 ${source:Extended-Description}
 .
 This package contains the source for the Rust crate swc_atoms,
 for use with cargo.

Package: librust-swc-common-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-ahash-dev,
 librust-anyhow-dev,
 librust-arbitrary-dev,
 librust-ast-node-dev (>= ${rust:Version:librust-ast-node-dev}),
 librust-better-scoped-tls-dev (>= ${rust:Version:librust-better-scoped-tls-dev}),
 librust-bytecheck-dev,
 librust-bytes-str-dev,
 librust-cbor4ii-dev,
 librust-either-dev,
 librust-from-variant-dev (>= ${rust:Version:librust-from-variant-dev}),
 librust-num-bigint-dev,
 librust-once-cell-dev,
 librust-parking-lot-dev,
 librust-rancor-dev,
 librust-rkyv-dev,
 librust-rustc-hash-2-dev,
 librust-serde-dev,
 librust-shrink-to-fit-dev,
 librust-siphasher-dev,
 librust-swc-atoms-dev (>= ${rust:Version:librust-swc-atoms-dev}),
 librust-swc-eq-ignore-macros-dev (>= ${rust:Version:librust-swc-eq-ignore-macros-dev}),
 librust-swc-visit-dev (>= ${rust:Version:librust-swc-visit-dev}),
 librust-termcolor-dev,
 librust-tracing-dev,
 librust-unicode-width-dev,
 librust-url-dev,
 ${misc:Depends},
Provides:
 librust-swc-common-18+concurrent-dev (= ${binary:Version}),
 librust-swc-common-18+debug-dev (= ${binary:Version}),
 librust-swc-common-18+default-dev (= ${binary:Version}),
 librust-swc-common-18+diagnostic-serde-dev (= ${binary:Version}),
 librust-swc-common-18+encoding-impl-dev (= ${binary:Version}),
 librust-swc-common-18+plugin-base-dev (= ${binary:Version}),
 librust-swc-common-18+plugin-mode-dev (= ${binary:Version}),
 librust-swc-common-18+plugin-rt-dev (= ${binary:Version}),
 librust-swc-common-18+plugin-transform-schema-v1-dev (= ${binary:Version}),
 librust-swc-common-18+plugin-transform-schema-vtest-dev (= ${binary:Version}),
 librust-swc-common-18+rkyv-impl-dev (= ${binary:Version}),
 librust-swc-common-18+shrink-to-fit-dev (= ${binary:Version}),
# librust-swc-common-18+sourcemap-dev (= ${binary:Version}),
 librust-swc-common-18+tty-emitter-dev (= ${binary:Version}),
 librust-swc-common-18-dev (= ${binary:Version}),
 librust-swc-common-18.0-dev (= ${binary:Version}),
 librust-swc-common-18.0.1-dev (= ${binary:Version}),
Description: common swc utilities - Rust source code
 ${source:Extended-Description}
 .
 This package contains the source for the Rust crate swc_common,
 for use with cargo.

Package: librust-swc-core-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-swc-allocator-dev (>= ${rust:Version:librust-swc-allocator-dev}),
 librust-swc-common-dev (>= ${rust:Version:librust-swc-common-dev}),
 librust-swc-malloc-dev (>= ${rust:Version:librust-swc-malloc-dev}),
 librust-swc-transform-common-dev (>= ${rust:Version:librust-swc-transform-common-dev}),
 librust-vergen-dev,
 ${misc:Depends},
Provides:
 librust-swc-core-55+allocator-node-dev (= ${binary:Version}),
 librust-swc-core-55+common-concurrent-dev (= ${binary:Version}),
 librust-swc-core-55+common-dev (= ${binary:Version}),
# librust-swc-core-55+default-dev (= ${binary:Version}),
 librust-swc-core-55+transform-common-dev (= ${binary:Version}),
 librust-swc-core-55-dev (= ${binary:Version}),
 librust-swc-core-55.0-dev (= ${binary:Version}),
 librust-swc-core-55.0.1-dev (= ${binary:Version}),
Description: speedy web compiler - Rust source code
 ${source:Extended-Description}
 .
 This package contains the source for the Rust crate swc_core,
 for use with cargo.

Package: librust-swc-html-ast-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-bytecheck-dev,
 librust-is-macro-dev,
 librust-rkyv-dev,
 librust-serde-dev,
 librust-string-enum-dev (>= ${rust:Version:librust-string-enum-dev}),
 librust-swc-atoms-dev (>= ${rust:Version:librust-swc-atoms-dev}),
 librust-swc-common-dev (>= ${rust:Version:librust-swc-common-dev}),
 ${misc:Depends},
Provides:
 librust-swc-html-ast-18+default-dev (= ${binary:Version}),
 librust-swc-html-ast-18+rkyv-impl-dev (= ${binary:Version}),
 librust-swc-html-ast-18+serde-impl-dev (= ${binary:Version}),
 librust-swc-html-ast-18-dev (= ${binary:Version}),
 librust-swc-html-ast-18.0-dev (= ${binary:Version}),
 librust-swc-html-ast-18.0.0-dev (= ${binary:Version}),
Description: AST definitions of html - Rust source code
 ${source:Extended-Description}
 .
 This package contains the source for the Rust crate swc_html_ast,
 for use with cargo.

Package: librust-swc-html-codegen-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-auto-impl-dev,
 librust-bitflags-dev,
 librust-rustc-hash-2-dev,
 librust-swc-atoms-dev (>= ${rust:Version:librust-swc-atoms-dev}),
 librust-swc-common-dev (>= ${rust:Version:librust-swc-common-dev}),
 librust-swc-html-ast-dev (>= ${rust:Version:librust-swc-html-ast-dev}),
 librust-swc-html-codegen-macros-dev (>= ${rust:Version:librust-swc-html-codegen-macros-dev}),
 librust-swc-html-utils-dev (>= ${rust:Version:librust-swc-html-utils-dev}),
 ${misc:Depends},
Provides:
 librust-swc-html-codegen-19+default-dev (= ${binary:Version}),
 librust-swc-html-codegen-19-dev (= ${binary:Version}),
 librust-swc-html-codegen-19.0-dev (= ${binary:Version}),
 librust-swc-html-codegen-19.0.0-dev (= ${binary:Version}),
Description: HTML code generator for the swc project - Rust source code
 ${source:Extended-Description}
 .
 This package contains the source for the Rust crate swc_html_codegen,
 for use with cargo.

Package: librust-swc-html-parser-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-swc-atoms-dev (>= ${rust:Version:librust-swc-atoms-dev}),
 librust-swc-common-dev (>= ${rust:Version:librust-swc-common-dev}),
 librust-swc-html-ast-dev (>= ${rust:Version:librust-swc-html-ast-dev}),
 librust-swc-html-utils-dev (>= ${rust:Version:librust-swc-html-utils-dev}),
 ${misc:Depends},
Provides:
 librust-swc-html-parser-18+debug-dev (= ${binary:Version}),
 librust-swc-html-parser-18+default-dev (= ${binary:Version}),
 librust-swc-html-parser-18-dev (= ${binary:Version}),
 librust-swc-html-parser-18.0-dev (= ${binary:Version}),
