=== debian/tests/control ===
# check single-feature tests only on amd64

# avoid tests swc_core:@ swc_malloc:* on riscv64:
#  FAIL non-zero exit status 101

# skip crate swc_core mangled feature default

# skip swc_html_visit feature path and all-features due to error:
#  error[E0599]: no variant or associated item named `TagName` found for enum `TokenField` in the current scope

# skip swc_common all-features due to error:
#  error: You can't enable `plugin-rt` and `plugin-mode` at the same time

# skip crate hstr features atom_size_128 atom_size_64 rkyv and all-features failing:
#  the name `RawTaggedValue` is defined multiple times
#  the name `RawTaggedNonZeroValue` is defined multiple times
#  expected trait, found struct `rkyv::ser::Serializer`
#  cannot find trait `Fallible` in crate `rkyv`
#  `#![feature]` may not be used on the stable release channel

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ast_node 5.0.0
 --all-targets --all-features
Features:
 test-name=rust-ast_node:@,
Depends:
 dh-rust,
 librust-ast-node-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ast_node 5.0.0
 --all-targets --no-default-features
Features:
 test-name=rust-ast_node:,
Depends:
 dh-rust,
 librust-ast-node-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ast_node 5.0.0
 --all-targets
Features:
 test-name=rust-ast_node:default,
Depends:
 dh-rust,
 librust-ast-node-5+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test better_scoped_tls 1.0.1
 --all-targets --all-features
Features:
 test-name=rust-better_scoped_tls:@,
Depends:
 dh-rust,
 librust-better-scoped-tls-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test better_scoped_tls 1.0.1
 --all-targets --no-default-features
Features:
 test-name=rust-better_scoped_tls:,
Depends:
 dh-rust,
 librust-better-scoped-tls-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test better_scoped_tls 1.0.1
 --all-targets
Features:
 test-name=rust-better_scoped_tls:default,
Depends:
 dh-rust,
 librust-better-scoped-tls-1+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test from_variant 3.0.0
 --all-targets --all-features
Features:
 test-name=rust-from_variant:@,
Depends:
 dh-rust,
 librust-from-variant-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test from_variant 3.0.0
 --all-targets --no-default-features
Features:
 test-name=rust-from_variant:,
Depends:
 dh-rust,
 librust-from-variant-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test from_variant 3.0.0
 --all-targets
Features:
 test-name=rust-from_variant:default,
Depends:
 dh-rust,
 librust-from-variant-3+default-dev,
Restrictions:
 allow-stderr,

# skip crate hstr features atom_size_128 atom_size_64 rkyv and all-features
#Test-Command: /usr/share/dh-rust/bin/cargo-auto-test hstr 3.0.4
