## rust-swc-core 56.0.0+ds

=== debian/changelog ===
rust-swc-core (56.0.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * add patch 1001_smol_str
    to accept newer minor version of crate smol_str;
    thanks to Alexander Kjäll

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Feb 2026 20:34:37 +0100
