=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: swc-project
Project: swc
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/swc_core@v@STABLE_VERSION@
Uversion-Mangle: auto
Dversion-Mangle: auto
Repacksuffix: +ds
