## rust-swc-core 57.0.0+ds

=== debian/changelog ===
rust-swc-core (57.0.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Feb 2026 23:00:21 +0100
