=== debian/control ===
--- 
+++ 
@@ -243,14 +243,14 @@
  librust-vergen-dev,
  ${misc:Depends},
 Provides:
- librust-swc-core-56+allocator-node-dev (= ${binary:Version}),
- librust-swc-core-56+common-concurrent-dev (= ${binary:Version}),
- librust-swc-core-56+common-dev (= ${binary:Version}),
-# librust-swc-core-56+default-dev (= ${binary:Version}),
- librust-swc-core-56+transform-common-dev (= ${binary:Version}),
- librust-swc-core-56-dev (= ${binary:Version}),
- librust-swc-core-56.0-dev (= ${binary:Version}),
- librust-swc-core-56.0.0-dev (= ${binary:Version}),
+ librust-swc-core-57+allocator-node-dev (= ${binary:Version}),
+ librust-swc-core-57+common-concurrent-dev (= ${binary:Version}),
+ librust-swc-core-57+common-dev (= ${binary:Version}),
+# librust-swc-core-57+default-dev (= ${binary:Version}),
+ librust-swc-core-57+transform-common-dev (= ${binary:Version}),
+ librust-swc-core-57-dev (= ${binary:Version}),
+ librust-swc-core-57.0-dev (= ${binary:Version}),
+ librust-swc-core-57.0.0-dev (= ${binary:Version}),
 Description: speedy web compiler - Rust source code
  ${source:Extended-Description}
  .
