## rust-swc-core 58.0.0+ds

=== debian/changelog ===
rust-swc-core (58.0.0+ds-2) unstable; urgency=medium

  * fix crate name in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Feb 2026 16:03:48 +0100

rust-swc-core (58.0.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest crate swc_sourcemap;
    (build-)depend on packages for crates
    base64-simd bitvec data-encoding debugid if-chain scroll
    serde_json unicode-ident
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 23:48:05 +0100
