=== debian/control ===
--- 
+++ 
@@ -12,14 +12,19 @@
  librust-anyhow-dev,
  librust-arbitrary-dev,
  librust-auto-impl-dev,
+ librust-base64-simd-dev,
  librust-bitflags-dev,
+ librust-bitvec-dev,
+ librust-data-encoding-dev,
  librust-bumpalo-dev,
  librust-bytecheck-dev,
  librust-bytes-str-dev,
  librust-cbor4ii-dev,
  librust-compact-str-dev,
+ librust-debugid-dev,
  librust-either-dev,
  librust-hashbrown-dev,
+ librust-if-chain-dev,
  librust-is-macro-dev,
  librust-kstring-dev,
  librust-mimalloc-dev,
@@ -36,6 +41,7 @@
  librust-rkyv-dev,
  librust-rustc-hash-2-dev,
  librust-scoped-tls-dev,
+ librust-scroll-dev,
  librust-serde-dev,
  librust-serde-json-dev,
  librust-shrink-to-fit-dev,
@@ -48,6 +54,7 @@
  librust-tikv-jemallocator-dev,
  librust-tracing-dev,
  librust-triomphe-dev,
+ librust-unicode-ident-dev,
  librust-unicode-width-dev,
  librust-url-dev,
  librust-vergen-dev,
@@ -138,11 +145,11 @@
  librust-swc-allocator-4-dev (= ${binary:Version}),
  librust-swc-allocator-4.0-dev (= ${binary:Version}),
  librust-swc-allocator-4.0.1-dev (= ${binary:Version}),
- librust-swc-transform-common-12+default-dev (= ${rust:Version:librust-swc-transform-common-dev}),
- librust-swc-transform-common-12+plugin-mode-dev (= ${rust:Version:librust-swc-transform-common-dev}),
- librust-swc-transform-common-12-dev (= ${rust:Version:librust-swc-transform-common-dev}),
- librust-swc-transform-common-12.0-dev (= ${rust:Version:librust-swc-transform-common-dev}),
- librust-swc-transform-common-12.0.0-dev (= ${rust:Version:librust-swc-transform-common-dev}),
+ librust-swc-transform-common-13+default-dev (= ${rust:Version:librust-swc-transform-common-dev}),
+ librust-swc-transform-common-13+plugin-mode-dev (= ${rust:Version:librust-swc-transform-common-dev}),
+ librust-swc-transform-common-13-dev (= ${rust:Version:librust-swc-transform-common-dev}),
+ librust-swc-transform-common-13.0-dev (= ${rust:Version:librust-swc-transform-common-dev}),
+ librust-swc-transform-common-13.0.0-dev (= ${rust:Version:librust-swc-transform-common-dev}),
  librust-swc-transform-common-dev (= ${rust:Version:librust-swc-transform-common-dev}),
 Description: thin swc wrapper for bumpalo - Rust source code
  ${source:Extended-Description}
@@ -185,19 +192,26 @@
  librust-anyhow-dev,
  librust-arbitrary-dev,
  librust-ast-node-dev (>= ${rust:Version:librust-ast-node-dev}),
+ librust-base64-simd-dev,
  librust-better-scoped-tls-dev (>= ${rust:Version:librust-better-scoped-tls-dev}),
+ librust-bitvec-dev,
  librust-bytecheck-dev,
  librust-bytes-str-dev,
  librust-cbor4ii-dev,
+ librust-data-encoding-dev,
+ librust-debugid-dev,
  librust-either-dev,
  librust-from-variant-dev (>= ${rust:Version:librust-from-variant-dev}),
+ librust-if-chain-dev,
  librust-num-bigint-dev,
  librust-once-cell-dev,
  librust-parking-lot-dev,
  librust-rancor-dev,
  librust-rkyv-dev,
  librust-rustc-hash-2-dev,
- librust-serde-dev,
+ librust-scroll-dev,
+ librust-serde-dev,
+ librust-serde-json-dev,
  librust-shrink-to-fit-dev,
  librust-siphasher-dev,
  librust-swc-atoms-dev (>= ${rust:Version:librust-swc-atoms-dev}),
@@ -205,31 +219,39 @@
  librust-swc-visit-dev (>= ${rust:Version:librust-swc-visit-dev}),
  librust-termcolor-dev,
  librust-tracing-dev,
+ librust-unicode-ident-dev,
  librust-unicode-width-dev,
  librust-url-dev,
  ${misc:Depends},
 Provides:
- librust-swc-common-18+concurrent-dev (= ${binary:Version}),
- librust-swc-common-18+debug-dev (= ${binary:Version}),
- librust-swc-common-18+default-dev (= ${binary:Version}),
- librust-swc-common-18+diagnostic-serde-dev (= ${binary:Version}),
- librust-swc-common-18+encoding-impl-dev (= ${binary:Version}),
- librust-swc-common-18+plugin-base-dev (= ${binary:Version}),
- librust-swc-common-18+plugin-mode-dev (= ${binary:Version}),
- librust-swc-common-18+plugin-rt-dev (= ${binary:Version}),
- librust-swc-common-18+plugin-transform-schema-v1-dev (= ${binary:Version}),
- librust-swc-common-18+plugin-transform-schema-vtest-dev (= ${binary:Version}),
- librust-swc-common-18+rkyv-impl-dev (= ${binary:Version}),
- librust-swc-common-18+shrink-to-fit-dev (= ${binary:Version}),
-# librust-swc-common-18+sourcemap-dev (= ${binary:Version}),
- librust-swc-common-18+tty-emitter-dev (= ${binary:Version}),
- librust-swc-common-18-dev (= ${binary:Version}),
- librust-swc-common-18.0-dev (= ${binary:Version}),
- librust-swc-common-18.0.1-dev (= ${binary:Version}),
+ librust-swc-common-19+concurrent-dev (= ${binary:Version}),
+ librust-swc-common-19+debug-dev (= ${binary:Version}),
+ librust-swc-common-19+default-dev (= ${binary:Version}),
+ librust-swc-common-19+diagnostic-serde-dev (= ${binary:Version}),
+ librust-swc-common-19+encoding-impl-dev (= ${binary:Version}),
+ librust-swc-common-19+plugin-base-dev (= ${binary:Version}),
+ librust-swc-common-19+plugin-mode-dev (= ${binary:Version}),
+ librust-swc-common-19+plugin-rt-dev (= ${binary:Version}),
+ librust-swc-common-19+plugin-transform-schema-v1-dev (= ${binary:Version}),
+ librust-swc-common-19+plugin-transform-schema-vtest-dev (= ${binary:Version}),
+ librust-swc-common-19+rkyv-impl-dev (= ${binary:Version}),
+ librust-swc-common-19+shrink-to-fit-dev (= ${binary:Version}),
+# librust-swc-common-19+sourcemap-dev (= ${binary:Version}),
+ librust-swc-common-19+tty-emitter-dev (= ${binary:Version}),
+ librust-swc-common-19-dev (= ${binary:Version}),
+ librust-swc-common-19.0-dev (= ${binary:Version}),
+ librust-swc-common-19.0.0-dev (= ${binary:Version}),
+ librust-swc-sourcemap-10+default-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
+ librust-swc-sourcemap-10+ram-bundle-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
+ librust-swc-sourcemap-10-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
+ librust-swc-sourcemap-10.0-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
+ librust-swc-sourcemap-10.0.0-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
+ librust-swc-sourcemap-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
 Description: common swc utilities - Rust source code
  ${source:Extended-Description}
  .
- This package contains the source for the Rust crate swc_common,
+ This package contains the source for the Rust crates
+ swc_common swc_sourcemap,
  for use with cargo.
 
 Package: librust-swc-core-dev
@@ -239,18 +261,19 @@
  librust-swc-allocator-dev (>= ${rust:Version:librust-swc-allocator-dev}),
  librust-swc-common-dev (>= ${rust:Version:librust-swc-common-dev}),
  librust-swc-malloc-dev (>= ${rust:Version:librust-swc-malloc-dev}),
+ librust-swc-sourcemap-dev (>= ${rust:Version:librust-swc-sourcemap-dev}),
  librust-swc-transform-common-dev (>= ${rust:Version:librust-swc-transform-common-dev}),
  librust-vergen-dev,
  ${misc:Depends},
 Provides:
- librust-swc-core-57+allocator-node-dev (= ${binary:Version}),
- librust-swc-core-57+common-concurrent-dev (= ${binary:Version}),
- librust-swc-core-57+common-dev (= ${binary:Version}),
-# librust-swc-core-57+default-dev (= ${binary:Version}),
- librust-swc-core-57+transform-common-dev (= ${binary:Version}),
- librust-swc-core-57-dev (= ${binary:Version}),
- librust-swc-core-57.0-dev (= ${binary:Version}),
- librust-swc-core-57.0.0-dev (= ${binary:Version}),
+ librust-swc-core-58+allocator-node-dev (= ${binary:Version}),
+ librust-swc-core-58+common-concurrent-dev (= ${binary:Version}),
+ librust-swc-core-58+common-dev (= ${binary:Version}),
+# librust-swc-core-58+default-dev (= ${binary:Version}),
+ librust-swc-core-58+transform-common-dev (= ${binary:Version}),
+ librust-swc-core-58-dev (= ${binary:Version}),
+ librust-swc-core-58.0-dev (= ${binary:Version}),
+ librust-swc-core-58.0.0-dev (= ${binary:Version}),
 Description: speedy web compiler - Rust source code
  ${source:Extended-Description}
  .
@@ -270,12 +293,12 @@
  librust-swc-common-dev (>= ${rust:Version:librust-swc-common-dev}),
  ${misc:Depends},
 Provides:
- librust-swc-html-ast-18+default-dev (= ${binary:Version}),
- librust-swc-html-ast-18+rkyv-impl-dev (= ${binary:Version}),
- librust-swc-html-ast-18+serde-impl-dev (= ${binary:Version}),
- librust-swc-html-ast-18-dev (= ${binary:Version}),
- librust-swc-html-ast-18.0-dev (= ${binary:Version}),
- librust-swc-html-ast-18.0.0-dev (= ${binary:Version}),
+ librust-swc-html-ast-19+default-dev (= ${binary:Version}),
+ librust-swc-html-ast-19+rkyv-impl-dev (= ${binary:Version}),
+ librust-swc-html-ast-19+serde-impl-dev (= ${binary:Version}),
+ librust-swc-html-ast-19-dev (= ${binary:Version}),
+ librust-swc-html-ast-19.0-dev (= ${binary:Version}),
+ librust-swc-html-ast-19.0.0-dev (= ${binary:Version}),
 Description: AST definitions of html - Rust source code
  ${source:Extended-Description}
  .
@@ -294,29 +317,7 @@
  librust-swc-html-ast-dev (>= ${rust:Version:librust-swc-html-ast-dev}),
  librust-swc-html-codegen-macros-dev (>= ${rust:Version:librust-swc-html-codegen-macros-dev}),
  librust-swc-html-utils-dev (>= ${rust:Version:librust-swc-html-utils-dev}),
- ${misc:Depends},
-Provides:
- librust-swc-html-codegen-19+default-dev (= ${binary:Version}),
- librust-swc-html-codegen-19-dev (= ${binary:Version}),
- librust-swc-html-codegen-19.0-dev (= ${binary:Version}),
- librust-swc-html-codegen-19.0.0-dev (= ${binary:Version}),
-Description: HTML code generator for the swc project - Rust source code
- ${source:Extended-Description}
- .
- This package contains the source for the Rust crate swc_html_codegen,
- for use with cargo.
-
-Package: librust-swc-html-parser-dev
-Architecture: all
-#Multi-Arch: foreign
-Depends:
- librust-swc-atoms-dev (>= ${rust:Version:librust-swc-atoms-dev}),
- librust-swc-common-dev (>= ${rust:Version:librust-swc-common-dev}),
- librust-swc-html-ast-dev (>= ${rust:Version:librust-swc-html-ast-dev}),
- librust-swc-html-utils-dev (>= ${rust:Version:librust-swc-html-utils-dev}),
- ${misc:Depends},
-Provides:
- librust-swc-html-parser-18+debug-dev (= ${binary:Version}),
- librust-swc-html-parser-18+default-dev (= ${binary:Version}),
- librust-swc-html-parser-18-dev (= ${binary:Version}),
- librust-swc-html-parser-18.0-dev (= ${binary:Version}),
+ librust-swc-sourcemap-dev (>= ${rust:Version:librust-swc-sourcemap-dev}),
+ ${misc:Depends},
+Provides:
+ librust-swc-html-codegen-20+default-dev (= ${binary:Version}),
