## rust-swc-core 58.0.4+ds

=== debian/changelog ===
rust-swc-core (58.0.4+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Mar 2026 10:31:33 +0100
