=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
  librust-base64-simd-dev,
  librust-bitflags-dev,
  librust-bitvec-dev,
- librust-data-encoding-dev,
  librust-bumpalo-dev,
  librust-bytecheck-dev,
  librust-bytes-str-dev,
  librust-cbor4ii-dev,
  librust-compact-str-dev,
+ librust-data-encoding-dev,
  librust-debugid-dev,
  librust-either-dev,
  librust-hashbrown-dev,
@@ -245,7 +245,7 @@
  librust-swc-sourcemap-10+ram-bundle-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
  librust-swc-sourcemap-10-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
  librust-swc-sourcemap-10.0-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
- librust-swc-sourcemap-10.0.0-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
+ librust-swc-sourcemap-10.0.2-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
  librust-swc-sourcemap-dev (= ${rust:Version:librust-swc-sourcemap-dev}),
 Description: common swc utilities - Rust source code
  ${source:Extended-Description}
@@ -273,7 +273,7 @@
  librust-swc-core-58+transform-common-dev (= ${binary:Version}),
  librust-swc-core-58-dev (= ${binary:Version}),
  librust-swc-core-58.0-dev (= ${binary:Version}),
- librust-swc-core-58.0.0-dev (= ${binary:Version}),
+ librust-swc-core-58.0.4-dev (= ${binary:Version}),
 Description: speedy web compiler - Rust source code
  ${source:Extended-Description}
  .
